Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007862TestLinkExport/Importpublic2017-03-02 19:562018-04-15 10:36
ReporterMr.Bricodage 
Assigned Tofman 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2018 Q1) 
Summary0007862: Extra character in Requirement description
DescriptionRequirement XML Export add an extra 0x0A (LF) before and after the requirement description (in CDATA).

Multiple Export => Import => Export => Import will add a lot of LF.
Steps To Reproduce1) Export TestLink Requirement in XML file
2) Import XML file
3) Export TestLink Requirement in XML file
4) Compare Req Description in the two XML files : req descriptions are different
Additional InformationPR to follow
TagsNo tags attached.
Database (MySQL,Postgres,etc)any
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0026054)
Mr.Bricodage (updater)
2017-03-02 19:59

PR : https://github.com/TestLinkOpenSourceTRMS/testlink-code/pull/82 [^]
(0026089)
Mr.Bricodage (updater)
2017-03-08 21:31

PR has been merged, should be marked resolved in 1.9.17
(0027394)
fman (administrator)
2018-04-15 10:36

released

- Issue History
Date Modified Username Field Change
2017-03-02 19:56 Mr.Bricodage New Issue
2017-03-02 19:59 Mr.Bricodage Note Added: 0026054
2017-03-08 21:31 Mr.Bricodage Note Added: 0026089
2017-03-13 20:35 fman QA Team - Task Workflow Status => READY FOR TESTING
2017-03-13 20:35 fman Status new => resolved
2017-03-13 20:35 fman Fixed in Version => 1.9.17 (2018 Q1)
2017-03-13 20:35 fman Resolution open => fixed
2017-03-13 20:35 fman Assigned To => fman
2018-04-15 10:36 fman Note Added: 0027394
2018-04-15 10:36 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker